Skip to main content
`Ctrl`+`K`

# BVViewFromOptions

View (print) a `BV` object based on values in the options database.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVViewFromOptions(BV bv,PetscObject obj,const char name[])

Collective

## Input Parameters

- bv - the basis vectors context

- obj - optional object that provides the options prefix used to query the options database

- name - command line option

## See Also

BV: Basis Vectors, `BVView()`, `BVCreate()`, `PetscObjectViewFromOptions()`

## Level

intermediate

## Location

src/sys/classes/bv/interface/bvfunc.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages